Package org.drinkless.tdlib

# Class TdApi.SetAuthenticationPhoneNumber

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetAuthenticationPhoneNumber

Enclosing class:
  `TdApi`

public static class TdApi.SetAuthenticationPhoneNumber extends TdApi.Function<TdApi.Ok>
Sets the phone number of the user and sends an authentication code to the user. Works only when the current authorization state is authorizationStateWaitPhoneNumber, or if there is no pending authentication query and the current authorization state is authorizationStateWaitPremiumPurchase, authorizationStateWaitEmailAddress, authorizationStateWaitEmailCode, authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `phoneNumber`
  The phone number of the user, in international format.
  `TdApi.PhoneNumberAuthenticationSettings`
  `settings`
  Settings for the authentication of the user's phone number; pass null to use default settings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetAuthenticationPhoneNumber()`
  Default constructor for a function, which sets the phone number of the user and sends an authentication code to the user.
  `SetAuthenticationPhoneNumber(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)`
  Creates a function, which sets the phone number of the user and sends an authentication code to the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### phoneNumber

    public String phoneNumber
    The phone number of the user, in international format.

  - ### settings

    public TdApi.PhoneNumberAuthenticationSettings settings
    Settings for the authentication of the user's phone number; pass null to use default settings.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetAuthenticationPhoneNumber

    public SetAuthenticationPhoneNumber()
    Default constructor for a function, which sets the phone number of the user and sends an authentication code to the user. Works only when the current authorization state is authorizationStateWaitPhoneNumber, or if there is no pending authentication query and the current authorization state is authorizationStateWaitPremiumPurchase, authorizationStateWaitEmailAddress, authorizationStateWaitEmailCode, authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

    Returns `Ok`

  - ### SetAuthenticationPhoneNumber

    public SetAuthenticationPhoneNumber(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)
    Creates a function, which sets the phone number of the user and sends an authentication code to the user. Works only when the current authorization state is authorizationStateWaitPhoneNumber, or if there is no pending authentication query and the current authorization state is authorizationStateWaitPremiumPurchase, authorizationStateWaitEmailAddress, authorizationStateWaitEmailCode, authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

    Returns `Ok`

    Parameters:
      `phoneNumber` - The phone number of the user, in international format.
      `settings` - Settings for the authentication of the user's phone number; pass null to use default settings.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR